%define		status		alpha
%define		pearname	Services_Hatena
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - WebServices for Hatena
Summary(pl.UTF-8):	%{pearname} - dostęp do usług sieciowych Hatena
Name:		php-pear-%{pearname}
Version:	0.1.5
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	9ffc08aff0041fcdd8a1a3e898680eca
URL:		http://pear.php.net/package/Services_Hatena/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-HTTP_Request >= 1.3.0
Requires:	php-pear-PEAR-core >= 1:1.3.0
Requires:	php-pear-Services_OpenSearch >= 0.0.1
Requires:	php-pear-XML_RPC >= 1.1.0
Obsoletes:	php-pear-Services_Hatena-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interface to Hatena's XML-API.

It provides objects to operate Hatena's Bookmark or Fotolife service,
and get information from Hatena Web Site.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Interfejs do XML-API Hatena.

Umożliwia operacje na usługach Hatena's Bookmark lub Hatena's
Fotolife, oraz pobieranie informacji ze stron Hatena.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/Services_Hatena/README .
mv docs/%{pearname}/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log README docs/%{pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/Hatena
%{php_pear_dir}/Services/Hatena.php
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Services_Hatena.git;a=log;h=master

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> e0630cf
- up to 0.1.5;

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> dee08e3
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> dbb1669
- dropped -tests subpackage

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 716dba7
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> b6b0639
- updated deps with pearize.sh
- release 2

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> 9247994
- updated to 0.1.4

* Mon Sep 15 2008 Adam Gołębiowski <adamg@pld-linux.org> 56e468a
- updated to 0.1.3

* Sun Sep 07 2008 Adam Gołębiowski <adamg@pld-linux.org> f1969a8
- updated to 0.1.2, simplified %files

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> f115ea0
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2568fbf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d597620
- converted to UTF-8

* Mon Jul 10 2006 Jakub Bogusz <qboosh@pld-linux.org> f04ec04
- define Epoch explicitly when using it

* Mon Jul 10 2006 Jakub Bogusz <qboosh@pld-linux.org> b85d924
- missing dirs, pl cosmetic

* Sun Jul 09 2006 Adam Gołębiowski <adamg@pld-linux.org> 8843898
- new

